(function (global, factory) {
    if (typeof define === "function" && define.amd) {
        define(['exports', 'react', 'lodash.clamp', './Lens'], factory);
    } else if (typeof exports !== "undefined") {
        factory(exports, require('react'), require('lodash.clamp'), require('./Lens'));
    } else {
        var mod = {
            exports: {}
        };
        factory(mod.exports, global.react, global.lodash, global.Lens);
        global.LensBottom = mod.exports;
    }
})(this, function (exports, _react, _lodash, _Lens) {
    'use strict';

    Object.defineProperty(exports, "__esModule", {
        value: true
    });

    var _react2 = _interopRequireDefault(_react);

    var _lodash2 = _interopRequireDefault(_lodash);

    var _Lens2 = _interopRequireDefault(_Lens);

    function _interopRequireDefault(obj) {
        return obj && obj.__esModule ? obj : {
            default: obj
        };
    }

    exports.default = function (_ref) {
        var cursorOffset = _ref.cursorOffset;
        var cursorPosition = _ref.cursorPosition;
        var isHovering = _ref.isHovering;
        var smallImage = _ref.smallImage;


        var maxHeight = smallImage.height - cursorOffset.y * 2;
        var height = (0, _lodash2.default)(smallImage.height - cursorPosition.y - cursorOffset.y, 0, maxHeight);

        return _react2.default.createElement(_Lens2.default, {
            isHovering: isHovering,
            style: {
                height: height + 'px',
                width: '100%',
                backgroundColor: 'rgba(0,0,0,.4)',
                bottom: '0px'
            }
        });
    };
});